ここから本文です

Linuxのアップデートで質問です。

mah********さん

2019/3/1809:14:25

Linuxのアップデートで質問です。

先日rpmコマンドを利用してbindのアップデートを実施しました

rpm -Uvhを利用しましたが依存関係でアップデートが出来ないものを強制インストールしました。

rpm -ivh --force --nodepsを利用しました。

強制のアップデートとかってあるんでしょうか?

閲覧数:
16
回答数:
1

違反報告

ベストアンサーに選ばれた回答

プロフィール画像

カテゴリマスター

nan********さん

2019/3/1812:55:03

--nodeps オプションは -U も有効だと思います。
でも、危険だから非常時にだけ使ってください。
普通は、
yum でファイル名を指定したら依存関係を解決しながらインストールしますよ。

この回答は投票によってベストアンサーに選ばれました!

あわせて知りたい

この質問につけられたタグ

みんなで作る知恵袋 悩みや疑問、なんでも気軽にきいちゃおう!

Q&Aをキーワードで検索:

Yahoo!知恵袋カテゴリ

一覧を見る

Yahoo! JAPANは、回答に記載された内容の信ぴょう性、正確性を保証しておりません。
お客様自身の責任と判断で、ご利用ください。
本文はここまでです このページの先頭へ

「追加する」ボタンを押してください。

閉じる

※知恵コレクションに追加された質問は選択されたID/ニックネームのMy知恵袋で確認できます。

不適切な投稿でないことを報告しました。

閉じる